curl --request PUT \
--url https://api.loopreturns.com/api/v1/products/{id} \
--header 'Content-Type: application/json' \
--header 'X-Authorization: <api-key>' \
--data '
{
"name": "<string>",
"sales_channel": "<string>",
"source": "<string>",
"external_id": "564400c7-7a6b-4f29-b6a5-7bb580b2992c",
"sku": "SHOES-US44-M-Brwn",
"weight_grams": 440,
"barcode": 712345000019,
"description": "<string>",
"type": "<string>",
"vendor": "<string>",
"price": {
"amount": 50000,
"currency_code": "USD"
},
"created_at": "2023-04-25T13:25:00-05:00",
"updated_at": "2023-04-25T13:45:00-05:00",
"options": [
{
"position": 1,
"values": [
"red"
],
"name": "Colors"
}
],
"images": [
"https://example.com/example.jpg"
],
"tags": [
"shoes"
],
"is_gift_card": false,
"locale_data": [
{
"locale": "fr-CA",
"name": "Chaussures Habillées Marron Classiques",
"description": "<string>",
"options": [
{
"position": 1,
"name": "Couleur",
"values": {
"red": "rouge",
"green": "vert",
"blue": "bleu"
}
}
]
}
]
}
'import requests
url = "https://api.loopreturns.com/api/v1/products/{id}"
payload = {
"name": "<string>",
"sales_channel": "<string>",
"source": "<string>",
"external_id": "564400c7-7a6b-4f29-b6a5-7bb580b2992c",
"sku": "SHOES-US44-M-Brwn",
"weight_grams": 440,
"barcode": 712345000019,
"description": "<string>",
"type": "<string>",
"vendor": "<string>",
"price": {
"amount": 50000,
"currency_code": "USD"
},
"created_at": "2023-04-25T13:25:00-05:00",
"updated_at": "2023-04-25T13:45:00-05:00",
"options": [
{
"position": 1,
"values": ["red"],
"name": "Colors"
}
],
"images": ["https://example.com/example.jpg"],
"tags": ["shoes"],
"is_gift_card": False,
"locale_data": [
{
"locale": "fr-CA",
"name": "Chaussures Habillées Marron Classiques",
"description": "<string>",
"options": [
{
"position": 1,
"name": "Couleur",
"values": {
"red": "rouge",
"green": "vert",
"blue": "bleu"
}
}
]
}
]
}
headers = {
"X-Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Authorization': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
sales_channel: '<string>',
source: '<string>',
external_id: '564400c7-7a6b-4f29-b6a5-7bb580b2992c',
sku: 'SHOES-US44-M-Brwn',
weight_grams: 440,
barcode: 712345000019,
description: '<string>',
type: '<string>',
vendor: '<string>',
price: {amount: 50000, currency_code: 'USD'},
created_at: '2023-04-25T13:25:00-05:00',
updated_at: '2023-04-25T13:45:00-05:00',
options: [{position: 1, values: ['red'], name: 'Colors'}],
images: ['https://example.com/example.jpg'],
tags: ['shoes'],
is_gift_card: false,
locale_data: [
{
locale: 'fr-CA',
name: 'Chaussures Habillées Marron Classiques',
description: '<string>',
options: [
{
position: 1,
name: 'Couleur',
values: {red: 'rouge', green: 'vert', blue: 'bleu'}
}
]
}
]
})
};
fetch('https://api.loopreturns.com/api/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product": {
"id": 810772,
"external_id": "564400c7-7a6b-4f29-b6a5-7bb580b2992c",
"sales_channel": "<string>",
"sku": "SHOES-US44-M-Brwn",
"name": "Classic Brown Dress Shoes",
"weight_grams": 440,
"barcode": 712345000019,
"description": "<string>",
"type": "shoes",
"vendor": "Internal",
"price": {
"amount": 50000,
"currency_code": "USD"
},
"created_at": "2023-04-25T13:25:00-05:00",
"updated_at": "2023-04-25T13:45:00-05:00",
"collections": [
{
"id": 891009,
"external_id": "62291d16-9b61-4fbb-b868-21c2d32dc155",
"name": "<string>"
}
],
"options": [
{
"position": 1,
"values": [
"red"
],
"name": "Colors"
}
],
"images": [
"https://example.com/example.jpg"
],
"tags": [
"shoes"
],
"source": "Shopify",
"default_variant_id": 810773
}
}{
"errors": "Unauthorized."
}{
"message": "Resource not found."
}Update Product
Update a product.
Authorizations
API Scope: "Product (write)"
Path Parameters
The product's unique identifier.
Body
255If a channel with this name is not already associated with the shop, it will be used to create a new channel.
255255The provided external_id must be unique. If a non-unique external_id is provided, the API will respond with an error.
100"564400c7-7a6b-4f29-b6a5-7bb580b2992c"
255"SHOES-US44-M-Brwn"
The weight of the product in grams.
440
The barcode of the product.
255712345000019
65000255255The price of the product in minor units, such as cents, with its corresponding currency.
Show child attributes
Show child attributes
{ "amount": 50000, "currency_code": "USD" }
"2023-04-25T13:25:00-05:00"
The value must be equal to or greater than created_at.
"2023-04-25T13:45:00-05:00"
The provided array will overwrite the existing set of options.
Show child attributes
Show child attributes
The provided array will overwrite the existing set of images.
1The provided array will overwrite the existing set of tags.
1 - 255Whether the product is a gift card.
false
Translated content for this product, one entry per locale. Locales must be unique within the array — uniqueness is checked against each locale's canonicalized tag (fr-CA, fr_ca, and FR-CA all collide). Unlike options/images/tags, update-time behavior (overwrite vs. merge with any existing translations) is not yet defined — this field is currently validation-only, ahead of the persistence work that will define it.
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes